Taslak Dizi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Array and the translation is 71% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Draft2Sketch.svg Draft to Sketch
Next: Link Array Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Dizi

Menü konumu
Taslak → Dizi
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Yol dizisi,Nokta dizisi,Klonla


Açıklama

Dizi aracı, seçilen bir nesneden ortogonal (3 eksen) veya bir kutupsal dizi oluşturur.

Bu araç, Taslak tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ayrıca Parça tezgahı ve Parça tasarım tezgahı ile oluşturulan birçok 3D nesne üzerinde de kullanılabilir.

Kopyaları bir yol boyunca konumlandırmak için Yol dizisi kullanın; kopyaları belirtilen noktalara yerleştirmek için Nokta dizisi kullanın; kopya veya klon oluşturmak ve bunları manuel olarak yerleştirmek için Taşı, Döndür ve Klonla kullanın.

Draft Array example.jpg

Ortogonal bir dizi ve katı bir nesneden kutupsal bir dizi


Nasıl kullanılır

  1. Bir dizi yapmak istediğiniz nesneyi seçin.
  2. Draft Array.svg Dizi düğmesine basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. Dizi nesnesi hemen yaratılır. Oluşturulan kopyaların sayısını ve yönünü değiştirmek için dizinin özelliklerini değiştirmeniz gerekir.

Dizideki her öğe orijinal nesnenin tam bir klonudur, ancak dizinin tamamı özellikler ve görünüm açısından tek bir birim olarak kabul edilir.

Seçenekler

Bu araç için seçenek yok. Seçili nesnelerle çalışır veya çalışmaz.

Özellikler

  • DATA Base: Dizide çoğaltılacak nesneyi belirtir.
  • DATA Array Type: "ortho" veya "polar" olmak üzere yaratılacak dizinin türünü belirtir.
  • DATA Fuse: True ise ve kopyalar birbiriyle kesişirse, bunlar birlikte tek bir şekilde kaynaşırlar.

Ortogonal diziler için:

  • VERİInterval X: X eksenindeki her kopya arasındaki aralığı belirler.
  • VERİInterval Y: Y eksenindeki her kopya arasındaki aralığı belirtir.
  • VERİInterval Z: Z ekseni üzerindeki her kopya arasındaki aralığı belirtir.
  • VERİNumber X: X eksenindeki kopya sayısını belirtir.
  • VERİNumber Y: Y eksenindeki kopya sayısını belirtir.
  • VERİNumber Z: Z eksenindeki kopya sayısını belirtir.

Kutupsal diziler için:

  • VERİAxis: dizi çemberinin normal yönünü belirtir.
  • VERİCenter: dizi dairesinin merkez noktasını belirtir.
  • VERİAngle: dairesel yayın kopyalarla kaplanacak açıklığını belirtir; çemberin tamamını kaplamak için 360 kullanın.
  • VERİNumber Polar: Dairesel düzende yerleştirilecek kopya sayısını belirtir.
  • VERİInterval Axis: VERİAxis yönündeki her kopya arasındaki aralığı belirtir.

Sayı özelliği, X, Y, Z veya Polar, ayrıca orijinal nesneyi de içerdiğinden, bu sayı en az bir olacaktır.

Bir aralık basit bir mesafe değil bir vektördür (x, y, z). Birden fazla değer sıfır değilse, kopya ana yönde oluşturulur, ancak aynı zamanda sıfır olmayan diğer yönlerde de yer değiştirir.

Örneğin, DATA Interval X (2 m, 1 m, 1 m) ve DATA Number X 3 ise, X yönünde 3 kopya yaratacaktır; ilk kopya orijinal konumunda olacak, ikincisi X'te 2 m, Y'de 1 m ve Z'de 1 m yer değiştirecek; üçüncü kopya X'te 4 m, Y'de 2 m ve Z'de 2 m yer değiştirecektir. Her bir dizi öğesi ana X yönünün yanında bir yana (Y yönü) ve yukarı (Z yönü) hafifçe kaydırılır.

VERİInterval Axis özelliği aynı şekilde çalışır. Orijinal şekil XY düzleminde yatıyorsa, VERİInterval Axis (0, 0, z) ile kutupsal bir dizi oluşturmak, sarmal düzenlemeleri yapmanızı sağlar.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Dizi aracı, Makrolar ve Python konsolundan, temel nesnenizin bağımsız kopyalarını almak istediğinize veya Orijinal nesneye bağlı kalan parametrik bir dizi nesnesi olarak, iki farklı işlev kullanılabilir.

Basit dizi

Temel kullanım şekli aşağıdaki gibidir:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Dikdörtgen bir dizi oluşturmak için bu şekilde kullanın:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Bir kutupsal dizi oluşturmak için, aşağıdaki gibi kullanın:

array_list = array(objectslist, center, totalangle, totalnum)
  • objectslist içindeki tek bir nesne veya nesne listesi olabilen nesnelerden bir dizi oluşturur.
  • Dikdörtgen bir dizi durumunda, xvector, yvector ve zvector, her kopyanın taban noktaları arasındaki mesafeyi X, Y ve Z yönleri; ve xnum, ynum ve znum, ilgili yöndeki kopyaların sayısıdır.
  • Bir kutupsal dizi durumunda, center, dizi çemberinin merkezini tanımlar, totalangle, yayın kopyalarla kaplanacağı derece cinsinden açıdır ve {{incode | totalnum} }, orijinal nesne de dahil olmak üzere, dairenin etrafında düzenlenecek kopya sayısıdır.
  • array_list yeni kopyalarla birlikte döndürülür.
    • array_list, objectslist girişine bağlı olarak tek bir nesne veya nesne listesidir.

Bu işlev dahili olarak Draft.move () ve Draft.rotate () ile copy = True 'i kullanır.

Örnek:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametrik dizi

Temel kullanım şekli aşağıdaki gibidir:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Dikdörtgen bir dizi oluşturmak için bu şekilde kullanın:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Bir kutupsal dizi oluşturmak için, aşağıdaki gibi kullanın:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Verilen baseobject 'dan bir Array nesnesi oluşturur.
  • Dikdörtgen bir dizi durumunda, xvector, yvector ve zvector, her kopyanın taban noktaları arasındaki mesafeyi X, Y ve Z yönleri; ve xnum, ynum ve znum, ilgili yöndeki kopyaların sayısıdır.
  • Bir kutup dizisi durumunda, center, dizi çemberinin merkezini tanımlar, totalangle, yayın kopyalarla kaplanacağı derece cinsinden açıdır ve {{incode | totalnum} }, orijinal nesne de dahil olmak üzere, dairenin etrafında düzenlenecek kopya sayısıdır.

Örnek:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)